#! /usr/bin/env python

import scapy

src="42:42:42:42:42:42"
dst="d0:d0:d0:d0:d0:d0"
bss="fa:be:cc:51:be:ef"

def ph(time):
    return scapy.PrismHeader(mactime = time, hosttime = time / 10)

def mgt(s):
    return scapy.Dot11(SC = s << 4, addr1 = dst, addr2 = src, addr3 = bss)

def beacon(s):
    return mgt(s) / scapy.Dot11Beacon(timestamp = s)

def data(s):
    return scapy.Dot11(type = 2, subtype = 4, SC = s << 4,
                       addr1 = dst, addr2 = src, addr3 = bss)

b1    = ph(1000)        / beacon(0)
d1    = ph(2000)        / data(1)
d2    = ph(2001)        / data(2)
d1bis = ph(2002)        / data(1)
b2    = ph(4000)        / beacon(3)

lhs     = [b1, d2, d1bis, b2]
rhs     = [b1, d1, d2,    b2]

scapy.wrpcap("wmtest-lhs.pcap", lhs, linktype = 119)
scapy.wrpcap("wmtest-rhs.pcap", rhs, linktype = 119)
